using Exferia_Aplicacion.General;
using Exferia_Aplicacion.Modelos_Listado_Filtros;
using Exferia_EntityFramework;
using Exferia_General._0_Modelos;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static Exferia_Aplicacion.General.Enumerados;

namespace Exferia_General._3_Vistas.ListadosSeleccion
{
    public class ABS_ListadoSeleccion_GEN_Terminales : ABS_ListadoSeleccion
    {
        public override List<dynamic> LISTADO()
        {
            return Registros;
        }

        public override string NOMBRELISTADO_ALMACENARCONFIGURACION()
        {
            return nameof(ABS_ListadoSeleccion_GEN_Configuracion_Informes);
        }

        public override Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo> LISTADO_COLUMNAS()
        {
            Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo> dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo = new Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo>();

            //id
            dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_GEN_Terminales_Listado_Modelo.id), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(true, nameof(INTERNO_GEN_Terminales_Listado_Modelo.id), "id", G_ENUM_TIPOSDATOS.LONG, true, 0, false, false, true, false, "", null));

            //codigo
            dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_GEN_Terminales_Listado_Modelo.codigo), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_GEN_Terminales_Listado_Modelo.codigo), "Código", G_ENUM_TIPOSDATOS.LONG_TEXT, false, 90, true, true, true, false, "", null));

            //descripcion
            dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_GEN_Terminales_Listado_Modelo.descripcion), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_GEN_Terminales_Listado_Modelo.descripcion), "Descripción", G_ENUM_TIPOSDATOS.TEXT, false, 250, true, true, true, false, "", null));

            return dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo;
        }

        public override string ORDENACION_NOMBRECOLUMNA_PORDEFECTO()
        {
            return nameof(INTERNO_GEN_Terminales_Listado_Modelo.codigo);
        }

        public override string ORDENACION_TIPO_PORDEFECTO()
        {
            return "0";
        }

        public override INTERNO_OpcionesDetalle_Modelo DATOS_OPCION()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_1()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_2()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_3()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_4()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_5()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_6()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_7()
        {
            return null;
        }

        public override List<INTERNO_ArbolSecundarioSeleccion_Modelo> LISTADO_ARBOLSECUNDARIOSELECCION()
        {
            return null;
        }

        public override List<INTERNO_Listado_Paginado_Filtro_Modelo> FILTRADO_PARAPAGINADO()
        {
            return null;
        }

        public override List<string> LISTADOCAMPOS_ENVIAR_A_MANTENIMIENTO()
        {
            return null;
        }
    }
}
